# Class MultipleGradientPaint

java.lang.Object
java.awt.MultipleGradientPaint

All Implemented Interfaces:
  `Paint, Transparency`

Direct Known Subclasses:
  `LinearGradientPaint, RadialGradientPaint`

public abstract sealed class MultipleGradientPaint extends Object implements Paint permits LinearGradientPaint, RadialGradientPaint
This is the superclass for Paints which use a multiple color gradient to fill in their raster. It provides storage for variables and enumerated values common to `LinearGradientPaint` and `RadialGradientPaint`.

Sealed Class Hierarchy Graph:
Since:
  1.6

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`MultipleGradientPaint.ColorSpaceType`
The color space in which to perform the gradient interpolation.
`static enum`
`MultipleGradientPaint.CycleMethod`
The method to use when painting outside the gradient bounds.

## Field Summary

### Fields declared in interface Transparency

`BITMASK, OPAQUE, TRANSLUCENT`
Modifier and Type
Field
Description
`static final int`
`BITMASK`
Represents image data that is guaranteed to be either completely opaque, with an alpha value of 1.0, or completely transparent, with an alpha value of 0.0.
`static final int`
`OPAQUE`
Represents image data that is guaranteed to be completely opaque, meaning that all pixels have an alpha value of 1.0.
`static final int`
`TRANSLUCENT`
Represents image data that contains or might contain arbitrary alpha values between and including 0.0 and 1.0.

## Method Summary

Modifier and Type
Method
Description
`final Color[]`
`getColors()`
Returns a copy of the array of colors used by this gradient.
`final MultipleGradientPaint.ColorSpaceType`
`getColorSpace()`
Returns the enumerated type which specifies color space for interpolation.
`final MultipleGradientPaint.CycleMethod`
`getCycleMethod()`
Returns the enumerated type which specifies cycling behavior.
`final float[]`
`getFractions()`
Returns a copy of the array of floats used by this gradient to calculate color distribution.
`final AffineTransform`
`getTransform()`
Returns a copy of the transform applied to the gradient.
`final int`
`getTransparency()`
Returns the transparency mode for this `Paint` object.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`String`
`toString()`
Returns a string representation of the object.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

### Methods declared in interface Paint

`createContext`
Modifier and Type
Method
Description
`PaintContext`
`createContext(ColorModel cm, Rectangle deviceBounds, Rectangle2D userBounds, AffineTransform xform, RenderingHints hints)`
Creates and returns a `PaintContext` used to generate the color pattern.

## Method Details

### getFractions

public final float[] getFractions()
Returns a copy of the array of floats used by this gradient to calculate color distribution. The returned array always has 0 as its first value and 1 as its last value, with increasing values in between.

Returns:
  a copy of the array of floats used by this gradient to calculate color distribution

### getColors

public final Color[] getColors()
Returns a copy of the array of colors used by this gradient. The first color maps to the first value in the fractions array, and the last color maps to the last value in the fractions array.

Returns:
  a copy of the array of colors used by this gradient

### getCycleMethod

public final MultipleGradientPaint.CycleMethod getCycleMethod()
Returns the enumerated type which specifies cycling behavior.

Returns:
  the enumerated type which specifies cycling behavior

### getColorSpace

public final MultipleGradientPaint.ColorSpaceType getColorSpace()
Returns the enumerated type which specifies color space for interpolation.

Returns:
  the enumerated type which specifies color space for interpolation

### getTransform

public final AffineTransform getTransform()
Returns a copy of the transform applied to the gradient.

Note that if no transform is applied to the gradient when it is created, the identity transform is used.

Returns:
  a copy of the transform applied to the gradient

### getTransparency

public final int getTransparency()
Returns the transparency mode for this `Paint` object.

Specified by:
  `getTransparency` in interface `Transparency`
Returns:
  `OPAQUE` if all colors used by this `Paint` object are opaque, `TRANSLUCENT` if at least one of the colors used by this `Paint` object is not opaque.
See Also:
  - `Transparency`